/**
 * theme.js
 * Scripts for the theme.
 * @since 1.0.2
 */

jQuery(document).ready(function($){
	/*-------------------------
	Basic Theme Related Scripts	
	--------------------------*/
	
	if($('.sub-menu').height() > $(window).height()-70){
		 $('.sub-menu').css('width','480px');
		 $('.sub-menu li').css('float','left');
	}

	/* Mobile menu toggle */
	$('#mobile_menu .menu-item-has-children').addClass('pushy-submenu');
	
	$('.pushy .menu-item-has-children > a').each(function(){
		$(this).after('<a href="javascript:void(0);" class="open-submeu"><i class="fa fa-plus"></i></a>');
	});
	
	$('.menu-toggle').click(function(){
		$('#close-menu').css('display','block');
	});
	
    $('.pushy ul li a.open-submeu').toggle(function(){
	  $(this).next().slideDown();
	  $(this).children('i').removeClass('fa-plus').addClass('fa-minus');
    },function(){
	  $(this).next().slideUp();
	  $(this).children('i').removeClass('fa-minus').addClass('fa-plus');
    });

    /*Custom Menu and header text color*/
    $('#dgwork-page-header .subtitle, #dgwork-page-header span.edd_price,#dgwork-page-header em, #dgwork-page-header h1, #dgwork-page-header .subtitle a,#dgwork-page-header .social_share a').css('color',$('#dgwork-page-header').attr('data-page-header-text-color'));
    $('.main-navigation a,#site-icons a,#dgw-topbar .site-branding a,.menu-toggle').css('color',$('.main-navigation').attr('data-menu-text-color'));
	$('.main-navigation ul ul li a').css('color','#000');
	$('#dgwork-page-header').css('background-color',$('#dgwork-page-header').attr('data-page-header-bg-color'));

	/*Sticky Top*/
	var default_logo =  $('#site-logo').attr('src');
	$(window).on('scroll',function(){
	        /*Sticky Top*/
	        if($(document).scrollTop() >= 60){
	          if($(window).width()<=600){
	             $('#dgw-topbar.fixed-nav-bg').css('top','0');
		      }
		      $('#dgw-topbar').addClass('fixed-nav-bg');
		      $('#site-logo').attr('src', $('#site-logo').attr('data-logo'));
		      $('.main-navigation a,#site-icons a,#dgw-topbar .site-branding a,.menu-toggle').css('color','');
			}else{
			  if($('body').hasClass('page_transparent_nav')){
			      $('#dgw-topbar').removeClass('fixed-nav-bg');
			      $('#site-logo').attr('src', default_logo);
			      $('.main-navigation a,#site-icons a,#dgw-topbar .site-branding a,.menu-toggle').css('color',$('.main-navigation').attr('data-menu-text-color'));
	$('.main-navigation ul ul li a').css('color','#000');
		      }else{
				  $('#dgw-topbar').removeClass('fixed-nav-bg');
			  }
			}
	});
	
	/*Apply the post format to the comment content elements*/
	$('.comment-content').addClass('entry-content');
	
	/*Popup*/
    function dgw_popup(button,obj,status){
	    $(button).on('click',function(){
	      if(status=='open'){
		   $('#dgw_popup').animate({top:'20%'},'slow');
		   $(obj).show();
		   $('#s').focus();
		  }else{
		   $('#dgw_popup').animate({top:'-1000px'},'slow');
		   $(obj).hide();
		  }
	    });
    }
    dgw_popup('#product_search','#dgw_search','open');
    dgw_popup('#dgw_popup_close','#dgw_search','close');
	
    
    /*One Page Scroll*/
    $('.bullet_links,.site-header,.anchor_link,.anchor_link a').localScroll({
		target: 'body', // could be a selector or a jQuery object too.
		queue:true,
		duration:1000,
		hash:true,
		easing:'easeInOutExpo',
		offset: {left: 0, top: -50}
	});	
	
    $(window).scroll(function() {
	
			var currentNode = null;
			$('.vc_row').each(function(){
			  if($(this).attr('id')){
				var currentId = $(this).attr('id');	
				if($(window).scrollTop() >= $('#'+currentId).offset().top - 50)
				{
					currentNode = currentId;
				}
			  }
			});
			$('.bullet_links').children('a.anchor').removeClass('active');
			$('.bullet_links').find('a[href="#'+currentNode+'"]').addClass('active');
			
		});
	
     /*Masonry*/	
	 $('#grid').imagesLoaded(function() {
	      $('#grid').masonry({
	        itemSelector: '.post',
	        gutter: 10
	      });
	 });
    	
});