<?php
/*Import data*/
if ( ! function_exists( 'dgwork_import_files' ) ) :
function dgwork_import_files() {
    return array(
        array(
            'import_file_name'             => 'Default Demo',
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo/default/content.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo/default/widgets.wie',
            'local_import_customizer_file_url' => trailingslashit( get_template_directory() ) . 'inc/demo/default/customizer.dat',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demo/default/options.json',
                    'option_name' => 'dgwork_option',
                ),
            ),
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . 'screenshot.png',
            'import_notice'                => __( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'dgwork' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'dgwork_import_files' );
endif;


if ( ! function_exists( 'dgwork_after_import' ) ) :
function dgwork_after_import( $selected_import ) {
    //Set Menu
    $top_menu = get_term_by('name', 'Top Menu', 'nav_menu');
    $one_page_menu = get_term_by('name', 'One Page Menu', 'nav_menu');
    $bottom_menu = get_term_by('name', 'Bottom Menu', 'nav_menu');
    set_theme_mod( 'nav_menu_locations' , 
        array( 
              'primary' => $top_menu->term_id, 
              'mobile' => $top_menu->term_id 
             ) 
    );

    //Set Front page
    $page = get_page_by_title( 'Home');
    if ( isset( $page->ID ) ) {
        update_option( 'page_on_front', $page->ID );
        update_option( 'show_on_front', 'page' );
    }
    

    //Import Revolution Slider
    if ( class_exists( 'RevSlider' ) ) {
       $slider_array = array(
              get_template_directory()."/inc/demo/default/home-slider-1.zip",
              get_template_directory()."/inc/demo/default/home_slider_2.zip"
       );

      $slider = new RevSlider();
       
      foreach($slider_array as $filepath){
       $slider->importSliderFromPost(true,true,$filepath);  
      }
       
      echo ' Slider processed';
    }
}
add_action( 'pt-ocdi/after_import', 'dgwork_after_import' );
endif;