<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
  exit( 'Direct script access denied.' );
}

do_action('DGWorkAdmin_header');

$plugins           = TGM_Plugin_Activation::$instance->plugins;
$installed_plugins = get_plugins();
?>
<div class="wrap about-wrap dgwork-wrap">
  <?php add_thickbox(); ?>
   <div class="box">
        <?php echo wp_kses_post(__( 'Visual Composer, Slider Revolution and ThemeVan Shortcodes required to use DGWork. ', 'dgwork' ) ); ?>
  </div>

  <?php if ( !DGWorkAdmin::check_license()) : ?>
    <div class="box" style="border-left: 4px solid #dc3232;">
      <h3 style="color: #dc3232; margin-top: 0;"><?php esc_attr_e( 'Premium Plugins Can Only Be Installed and Updated With A Valid Purchase Code Registration', 'dgwork' ); ?></h3>
      <p><?php printf( esc_attr__( 'Please visit the %s page and enter a valid purchase code to install or update the premium plugins:Slider Revolution, DGWork Extension and Visual Composer.', 'dgwork' ), '<a href="' . esc_url_raw( admin_url( 'themes.php?page=registration' ) ) . '">' . esc_attr__( 'Registration', 'dgwork' ) . '</a>' ); ?></p>
    </div>
  <?php endif; ?>

  <div class="dgwork-admin-grid">
    <div class="feature-section theme-browser rendered">
      <?php $dgwork_registered_plugins = dgwork_get_required_and_recommened_plugins(); ?>
      <?php foreach ( $plugins as $plugin ) : ?>
        <?php
        if ( ! array_key_exists( $plugin['slug'], $dgwork_registered_plugins ) ) {
          continue;
        }

        $class = '';
        $plugin_status = '';
        $file_path = $plugin['file_path'];
        $plugin_action = DGWorkAdmin::plugin_link( $plugin );

        // We have a repo plugin.
        if ( ! $plugin['version'] ) {
          $plugin['version'] = TGM_Plugin_Activation::$instance->does_plugin_have_update( $plugin['slug'] );
        }

        if ( is_plugin_active( $file_path ) ) {
          $plugin_status = 'active';
          $class = 'active';
        }
        ?>
        <div class="theme <?php echo esc_attr( $class ); ?>">
          <div class="theme-wrapper">
            <div class="theme-screenshot">
              <img src="<?php echo esc_url_raw( $plugin['image_url'] ); ?>" alt="" />
              <div class="plugin-info">
                <?php if ( isset( $installed_plugins[ $plugin['file_path'] ] ) ) : ?>
                  <?php echo wp_kses_post( sprintf( __( 'Version: %1$s | <a href="%2$s" target="_blank">%3$s</a>', 'dgwork' ), esc_attr( $installed_plugins[ $plugin['file_path'] ]['Version'] ), esc_url_raw( $installed_plugins[ $plugin['file_path'] ]['AuthorURI'] ), esc_attr( $installed_plugins[ $plugin['file_path'] ]['Author'] ) ) ); ?>
                <?php elseif ( 'bundled' == $plugin['source_type'] ) : ?>
                  <?php printf( esc_attr__( 'Available Version: %s', 'dgwork' ), esc_attr( $plugin['version'] ) ); ?>
                <?php endif; ?>
              </div>
            </div>
            <?php if ( isset( $plugin_action['update'] ) && $plugin_action['update'] ) : ?>
              <div class="update-message notice inline notice-warning notice-alt dgwork-plugin-update-notice">
                <p><?php printf( esc_attr__( 'New Version Available: %s', 'dgwork' ), esc_attr( $plugin['version'] ) ); ?></p>
              </div>
            <?php endif; ?>
            <h3 class="theme-name">
              <?php if ( 'active' == $plugin_status ) : ?>
                <span><?php printf( esc_attr__( 'Active: %s', 'dgwork' ), esc_attr( $plugin['name'] ) ); ?></span>
              <?php else : ?>
                <?php echo esc_attr( $plugin['name'] ); ?>
              <?php endif; ?>
            </h3>
            <div class="theme-actions">
              <?php foreach ( $plugin_action as $action ) : ?>
                <?php
                echo $action;
                ?>
              <?php endforeach; ?>
            </div>
            <?php if ( isset( $plugin['required'] ) && $plugin['required'] ) : ?>
              <div class="plugin-required">
                <?php esc_html_e( 'Required', 'dgwork' ); ?>
              </div>
            <?php endif; ?>
          </div>
        </div>
      <?php endforeach; ?>
    </div>
  </div>

  <div class="dgwork-thanks">
    <p class="description"><?php esc_html_e( 'Thank you for choosing DGWork. We are honored and are fully dedicated to making your experience perfect.', 'dgwork' ); ?></p>
  </div>

 </div>

 <div style="clear: both;"></div>
</div>