<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 * @package DGWork
 */

/*Share icons*/  
if ( ! function_exists( 'dgwork_share' ) ) :
function dgwork_share($id){
    $return_html='<div class="social_share"><a href="https://www.facebook.com/sharer/sharer.php?display=popup&u='.urlencode(get_permalink()).'" target="_blank" class="facebook"><i class="fa fa-facebook"></i></a>
	        <a href="http://twitter.com/share?text='.urlencode(strip_tags(get_the_title())).'&amp;url='.urlencode(get_the_permalink()).'" target="_blank" class="twitter"><i class="fa fa-twitter"></i></a>
	        <a href="https://plus.google.com/share?url='.urlencode(get_permalink()).'" target="_blank" class="gplus"><i class="fa fa-google-plus"></i></a>
	        <a href="https://pinterest.com/pin/create/button/?media='.esc_url(wp_get_attachment_url( get_post_thumbnail_id($id))).'&amp;description='. urlencode(strip_tags(get_the_title())).'&amp;url='.urlencode(get_permalink()).'" target="_blank" class="pinterest"><i class="fa fa-pinterest"></i></a>
	        <a href="https://www.linkedin.com/shareArticle?mini=true&amp;title='. urlencode(strip_tags(get_the_title())).'&amp;source='.urlencode(get_permalink()).'&amp;url='. urlencode(get_permalink()).'" target="_blank" class="linkedin"><i class="fa fa-linkedin"></i></a></div>';
   $return_html = apply_filters('dgwork_share', $return_html);
   return $return_html;
}
endif;



if ( ! function_exists( 'dgwork_header_picture' ) ) :
function dgwork_header_picture($var){
    if($var<>''){
    	echo'<div class="overlay"></div>';
    	echo '<div class="header-picture" style="background-image:url('.esc_url($var).');background-size:cover;"></div>';
    }
}
endif;

if ( ! function_exists( 'dgwork_page_header' ) ) :
function dgwork_page_header(){
        global $post;
        $text_aligned='';
        $text_color='';
        $bg_color='';
        
        if(is_singular()){
            $page_header_text_aligned = get_post_meta($post->ID, "_dgwork_page_header_text_aligned", true);
            $page_header_text_color = get_post_meta($post->ID, "_dgwork_page_header_text_color", true);
            $page_header_bg_color = get_post_meta($post->ID, "_dgwork_page_header_background_color", true);

	        if($page_header_text_aligned<>''){
	        	$text_aligned='class="dgwork-page-header-'.esc_attr($page_header_text_aligned).'"';
	   		}
	   		if($page_header_text_color<>''){
	        	$text_color='data-page-header-text-color="'.esc_html($page_header_text_color).'"';
	   		}
	   		if($page_header_bg_color<>''){
	   			$bg_color='data-page-header-bg-color="'.esc_html($page_header_bg_color).'"';
	   		}
   		}

        $page_header_start = '<header id="dgwork-page-header" '.$text_aligned.' '.$text_color.' '.$bg_color.'><div class="dgw-grid-1000">';
      	$page_header_close = '</div></header>';  
 
      	if(is_page_template('page-templates/page-blank.php')){
		    $page_header_start = '';
	        $page_header_close = '';
        }
 
      
      echo $page_header_start;
      // Page header
      if(is_page()){
      	if(!is_page_template('page-templates/page-blank.php')){
	       echo'<h1 itemprop="name">'.get_the_title().'</h1>';

	       if(is_page_template('page-templates/page-account.php')){
	       	  $current_user = wp_get_current_user();
	       	  echo'<p class="subtitle">'.esc_html__('Hello!','dgwork').' '.$current_user->display_name.'</p>';
	       	 // echo'<div class="avatar">'.get_avatar( get_current_user_id(), 100 ).'</div>';
	       }else{
	       	  echo'<p class="subtitle">'.do_shortcode(esc_attr(get_post_meta($post->ID, "_dgwork_page_header_tagline", true))).'</p>';
	       }
  	  
	   //Page Header picture
	   dgwork_header_picture(get_post_meta($post->ID, "_dgwork_page_header_background", true));
	  }
     //Post header
     }elseif(is_single()){
     	while ( have_posts() ) : the_post(); 
       	echo'<h1 itemprop="name">'.get_the_title().'</h1>';;
	       	// Product Header
	        if ( get_post_type( $post->ID ) == 'download' ) {
              
              // When select custom template and set the header text aligned to left
	          if(get_post_meta($post->ID, "_dgwork_product_template", true)<>'' && get_post_meta($post->ID, "_dgwork_product_template", true)<>'0'){
		          echo dgwork_buy_button($show='price');
			  }


	          if(get_post_meta($post->ID, "_dgwork_product_header_subtitle", true)<>''){
	    	  	echo'<p class="subtitle" itemprop="description">'.dgwork_truncate(esc_attr(get_post_meta($post->ID, "_dgwork_product_header_subtitle", true)),300).'</p>';
	    	  }else{
	    	  	echo'<p class="subtitle">'.dgwork_truncate(esc_attr(get_post_meta($post->ID, "_dgwork_short_description", true)),100).'</p>';
	    	  }

	    	  // When select custom template
              if(get_post_meta($post->ID, "_dgwork_product_template", true)<>'' && get_post_meta($post->ID, "_dgwork_product_template", true)<>'0'){
	              
	              echo dgwork_buy_button($show='button');
			   }
	           
	           echo dgwork_share($post->ID);
                
                // When select custom template and set the header text aligned to left
                if(get_post_meta($post->ID, "_dgwork_product_template", true)<>'' && get_post_meta($post->ID, "_dgwork_product_template", true)<>'0'){
	              echo dgwork_item_preview();
                }
              
	    	  dgwork_header_picture(get_post_meta($post->ID, "_dgwork_header_background", true));
		    }else{
		      // Post Header
		      echo'<p class="meta">'.dgwork_posted_on().'</p>'.dgwork_share($post->ID);
		      if(get_post_meta($post->ID, "_dgwork_post_header_background", true)<>''){
 				 dgwork_header_picture(get_post_meta($post->ID, "_dgwork_post_header_background", true));
		      }
		    }
	    endwhile;

      // Category Header
      }elseif(is_category()){
      	$cat_id = get_query_var('cat');
		$cat_data = get_option("taxonomy_$cat_id");
		$cat_header=$cat_data['header_picture'];
        echo'<h1 itemprop="name">'.esc_html(get_the_archive_title()).'</h1>';
        echo'<p class="subtitle">'.esc_attr(dgwork_strip_tags(array('p'),get_the_archive_description())).'</p>';
		dgwork_header_picture($cat_header);

      //Taxonomy Header
      }elseif(is_tax()){
      	$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
      	$cat_id = $term->term_id;
		$cat_data = get_option("taxonomy_$cat_id");
		$cat_header=$cat_data['header_picture'];
        echo'<h1 itemprop="name">'.esc_html($term->name).'</h1>';
        echo'<p class="subtitle">'.esc_attr(dgwork_strip_tags(array('p'),get_the_archive_description())).'</p>';
		dgwork_header_picture($cat_header);
      
      }else{
	      //Default Home header
	      if(is_home()){
	        echo'<h1>'.esc_html(get_bloginfo('description')).'</h1>';

	      //Search Header
	      }elseif(is_search()){
	      	echo'<h1>'.esc_html__( 'Search Results for:', 'dgwork' ).' '.get_search_query().'</h1>';
	      
	      //Tag Header
	      }elseif(is_tag()){
	      	echo'<h1>'.esc_html__( 'Tag Archives:', 'dgwork' ).' '.single_tag_title( '', false ).'</h1>';
	      
	  	  //Time Archive Header
	      }elseif(is_day()){
	      	echo'<h1>'.get_the_date().'</h1>';
	      }elseif(is_month()){
	      	echo'<h1>'.get_the_date( _x( 'F Y', 'monthly archives date format', 'dgwork' ) ).'</h1>';
	      }elseif(is_year()){
	      	echo'<h1>'.get_the_date( _x( 'Y', 'yearly archives date format', 'dgwork' ) ).'</h1>';
	      
	      //404 Page Header
	      }elseif(is_404()){
	      	echo'<h1>'.esc_html__('Oops! That page can&rsquo;t be found.','dgwork').'</h1>';

	      //Author Header
	      }elseif(is_author()){
	      	echo'<h1>'.esc_html(get_the_author_meta('display_name',get_the_author_meta('ID'))).'</h1>';
	      	echo'<div class="avatar">'.get_avatar(get_the_author_meta('ID'), 100 ).'</div>';
	      }
	      dgwork_header_picture(get_header_image());
	   }
     echo wp_kses_post($page_header_close);
}
endif;

if ( ! function_exists( 'dgwork_before_content' ) ) :
/**
 * Before Content
 */
function dgwork_before_content(){
	echo '<div id="page" class="hfeed site dgw-grid-1000">
	  <div id="content" class="site-content">';
}
endif;

if ( ! function_exists( 'dgwork_after_content' ) ) :
/**
 * After Content
 * Closes the wrapping divs
 */
function dgwork_after_content(){
	echo '</div>
	   </div>';
}
endif;

if ( ! function_exists( 'dgwork_before_main_content' ) ) :
/**
 * Before Main Content
 */
function dgwork_before_main_content(){
	echo '<main id="primary" class="dgw-grid dgw-col9 site-main">';
}
endif;

if ( ! function_exists( 'dgwork_after_main_content' ) ) :
/**
 * After Main Content
 */
function dgwork_after_main_content(){
	echo '</main>';
}
endif;

if ( ! function_exists( 'dgwork_after_conent' ) ) :
/**
 * After Content
 * Closes the wrapping divs
 */
function dgwork_after_conent(){
	echo '</div>
	   </div>';
}
endif;


if ( ! function_exists( 'dgwork_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
function dgwork_posted_on() {
	$return_html='<a href="' . esc_url( get_permalink() ) . '" rel="bookmark" itemprop="datePublished" content="'.get_the_date(get_option('date_format')).'">' .  get_the_date(get_option('date_format')) . '</a>';
	$return_html.='<span class="category">' .  get_the_category_list(', ') . '</span>';
	$return_html.='<span class="author" itemprop="author" itemscope itemtype="http://schema.org/Person">'.get_the_author_posts_link().'</span>';
    return $return_html;
}
endif;

if ( ! function_exists( 'dgwork_entry_footer' ) ) :
/**
 * Prints HTML with meta information for the categories, tags and comments.
 */
function dgwork_entry_footer() {
	// Hide category and tag text for pages.
	if ( 'post' === get_post_type() ) {

		/* translators: used between list items, there is a space after the comma */
		$tags_list = get_the_tag_list( '', esc_html__( ', ', 'dgwork' ) );
		if ( $tags_list ) {
			printf( '<span class="tags-links">' . esc_html__( 'Tagged %1$s', 'dgwork' ) . '</span>', $tags_list ); // WPCS: XSS OK.
		}
	}

	if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
		echo '<span class="comments-link">';
		comments_popup_link( esc_html__( 'Leave a comment', 'dgwork' ), esc_html__( '1 Comment', 'dgwork' ), esc_html__( '% Comments', 'dgwork' ) );
		echo '</span>';
	}
    
    echo dgwork_post_loop_author();
}
endif;

if ( ! function_exists( 'dgwork_post_loop_author' ) ) :
function dgwork_post_loop_author(){
	echo '<div class="author"><a href="'.esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )).'" title="'.get_the_author_meta('nickname').'">'.get_avatar( get_the_author_meta( 'ID' ),100).'</a><p><a href="'.esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )).'" title="'.get_the_author_meta('nickname').'">'.esc_html(get_the_author_meta('nickname')).'</a><span class="date">'.get_the_date().'</span></p></div>';
}
endif;

/**
 * Returns true if a blog has more than 1 category.
 *
 * @return bool
 */
if ( ! function_exists( 'dgwork_categorized_blog' ) ) :
function dgwork_categorized_blog() {
	if ( false === ( $all_the_cool_cats = get_transient( 'dgwork_categories' ) ) ) {
		// Create an array of all the categories that are attached to posts.
		$all_the_cool_cats = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,

			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$all_the_cool_cats = count( $all_the_cool_cats );

		set_transient( 'dgwork_categories', $all_the_cool_cats );
	}

	if ( $all_the_cool_cats > 1 ) {
		// This blog has more than 1 category so dgwork_categorized_blog should return true.
		return true;
	} else {
		// This blog has only 1 category so dgwork_categorized_blog should return false.
		return false;
	}
}
endif;

/**
 * Flush out the transients used in dgwork_categorized_blog.
 */
if ( ! function_exists( 'dgwork_category_transient_flusher' ) ) :
function dgwork_category_transient_flusher() {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	// Like, beat it. Dig?
	delete_transient( 'dgwork_categories' );
}
endif;
add_action( 'edit_category', 'dgwork_category_transient_flusher' );
add_action( 'save_post',     'dgwork_category_transient_flusher' );

/**
 * Custom LOGO and Text
 */
if ( ! function_exists( 'dgwork_custom_logo' ) ) :
function dgwork_custom_logo(){
        global $post;
 		$logo_url='';
        $page_logo_url=dgwork_page_custom_logo();
        $custom_logo_id = get_theme_mod( 'custom_logo' );
        $image = wp_get_attachment_image_src( $custom_logo_id , 'full');
        

        if($page_logo_url<>'' && isset($page_logo_url)){
          $logo_url=$page_logo_url;
        }else{
          $logo_url=esc_url($image[0]);
        }
	    if ($logo_url<>'' ) {
			$custom_logo='<img itemprop="logo" id="site-logo" data-logo="'.esc_url($image[0]).'" src="'.esc_url($logo_url).'" alt="'.esc_attr(get_bloginfo('name')).'" />';
	    } else { 
		   $custom_logo=esc_attr(get_bloginfo('name'));
		}
		
		echo '<div class="site-branding dgw-grid dgw-col2">';
			if ( is_front_page() && is_home() ){
				echo'<h1 class="site-title"><a href="'.esc_url( home_url( '/' ) ).'" rel="home" itemprop="brand" itemscope itemtype="http://schema.org/Brand">'.$custom_logo.'</a></h1>';
			}else{
				echo'<span class="site-title"><a href="'.esc_url( home_url( '/' ) ).'" rel="home" itemprop="brand" itemscope itemtype="http://schema.org/Brand">'.$custom_logo.'</a></span>';
			}
		echo '</div><!-- .site-branding -->';
}
endif;

/**
 * Custom LOGO for each page
 */
if ( ! function_exists( 'dgwork_page_custom_logo' ) ) :
function dgwork_page_custom_logo(){
	global $post;
	$logo='';
	while ( have_posts() ) : the_post(); 
     $logo = esc_url(get_post_meta( $post->ID, '_dgwork_logo', true ));
    endwhile; // End of the loop. 
    
    return $logo;
}
endif;

/**
 * Primary Navigation
 */
if ( ! function_exists( 'dgwork_primary_navigation' ) ) :
function dgwork_primary_navigation(){
	global $dgwork_option, $post;
	$nav_grid_class='';
	$menu_slug = '';
	$menu_text_color = '';
	$data_menu_text_color='';
    
    if(isset($dgwork_option['top_icons']) && $dgwork_option['top_icons']=='1'){
    	$nav_grid_class='dgw-grid dgw-col8';
    }else{
    	$nav_grid_class='dgw-grid dgw-col10 last';
    }
    if(is_page() || is_single() && get_post_type( $post->ID ) == 'download' ){
   		$menu_slug = get_post_meta( $post->ID, '_dgwork_page_menu', true );
   		$menu_text_color = get_post_meta( $post->ID, '_dgwork_menu_text_color', true );
   		if($menu_text_color<>''){
   			$data_menu_text_color='data-menu-text-color="'.$menu_text_color.'"';
   		}
    }
 
    echo'<nav id="site-navigation" '.$data_menu_text_color.' class="main-navigation '.$nav_grid_class.'">
	<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i></button>'
	.wp_nav_menu( array( 'theme_location' => 'primary', 'menu' => esc_html($menu_slug), 'menu_id' => 'primary-menu','echo' => false ) ).
   '</nav><!-- #site-navigation -->';
}
endif;

/**
 * Top Buttons in Navigation
 */
if ( ! function_exists( 'dgwork_top_buttons' ) ) :
function dgwork_top_buttons(){
  global $dgwork_option;
  if ( class_exists( 'Easy_Digital_Downloads' )){
  	if(isset($dgwork_option['top_icons']) && $dgwork_option['top_icons']=='1'):
	   echo'<div id="site-icons" class="dgw-grid dgw-col3">';
       if(isset($dgwork_option['account_page']) && $dgwork_option['account_page']<>''):
	   echo'<a href="'.esc_url(home_url('/')).'?page_id='.esc_attr($dgwork_option['account_page']).'" id="user_account"><i class="fa fa-user"></i></a>';
	   endif;
       
       if(isset($dgwork_option['checkout_page']) && $dgwork_option['checkout_page']<>'' && $dgwork_option['float_cart']=='0'):
	   echo'<a href="'.esc_url(home_url('/')).'?page_id='.esc_attr($dgwork_option['checkout_page']).'" id="product_cart"><i class="fa fa-shopping-cart"></i> <span class="header-cart edd-cart-quantity">'.edd_get_cart_quantity().'</span></a>';
       endif;

       if(isset($dgwork_option['product_search']) && $dgwork_option['product_search']=='1'):
	   echo'<a href="javascript:void(0);" id="product_search"><i class="fa fa-search"></i></a>';
       endif;

	   echo'</div>';
	endif;
  }
}
endif;

if ( ! function_exists( 'dgwork_float_button' ) ) :
add_action('wp_footer','dgwork_float_button');
function dgwork_float_button(){
	global $dgwork_option;
	if(isset($dgwork_option['float_cart']) && $dgwork_option['float_cart']=='1'){
		if(isset($dgwork_option['checkout_page']) && $dgwork_option['checkout_page']<>''){
	      echo '<a href="'.esc_url(home_url('/')).'?page_id='.esc_attr($dgwork_option['checkout_page']).'" class="float-button"><i class="fa fa-shopping-cart"></i></a>';
		}
	}
}
endif;

/**
 * The Wrapper Before Navigation
 */
if ( ! function_exists( 'dgwork_before_navigation' ) ) :
function dgwork_before_navigation(){
       global $post;
       if(is_page()){
	   		$page_transparent_nav = esc_attr(get_post_meta( $post->ID, '_dgwork_transparent_nav', true ));
		}else{
			$page_transparent_nav ='';
		}

	   $trans_nav='';
	   if($page_transparent_nav=='on'){
	   	 	$trans_nav=' class="trans_nav"';
	   }
	   echo'<div id="dgw-topbar"'.$trans_nav.'>';
	   echo'<div id="dgw-primary-bar" class="dgw-grid-1000">';
}
endif;

/**
 * The Wrapper After Navigation
 */
if ( ! function_exists( 'dgwork_after_navigation' ) ) :
function dgwork_after_navigation(){
	   echo'</div>
	  </div>';
}
endif;

/**
 * Account Information
 */
if ( ! function_exists( 'dgwork_account_info' ) ) :
function dgwork_account_info(){
	global $dgwork_option;
	$account_page=esc_url(home_url('/')).'/wp-admin';
	if(isset($dgwork_option['account_page']) && $dgwork_option['account_page']<>''){
		$account_page=esc_url(home_url('/')).'?page_id='.esc_attr($dgwork_option['account_page']);
	}
	echo'<div class="account">';
    	echo'<div class="avatar">'.get_avatar( get_current_user_id(), 100 ).'</div>';
    	
    if(is_user_logged_in()):
    	echo '<p><strong>'.get_the_author_meta('display_name',get_current_user_id()).'</strong></p>';
        echo'<a href="'.$account_page.'"><i class="fa fa-user"></i>'.esc_html__('My Account','dgwork').'</a>';
    else:
	    echo'<a href="'.$account_page.'" class="dgw-login">'.esc_html__('Login','dgwork').'</a>';
    endif;

    if(isset($dgwork_option['checkout_page']) && $dgwork_option['checkout_page']<>''){
    echo'<a href="'.esc_url(home_url('/')).'?page_id='.$dgwork_option['checkout_page'].'" class="cart"><i class="fa fa-shopping-cart"></i>'.esc_html__('Cart','dgwork').'</a>';
    }
    echo '</div>';
}
endif;

/**
 * The Header Layout
 */
if ( ! function_exists( 'dgwork_header_layout' ) ) :
function dgwork_header_layout(){
	   global $dgwork_option;

	   switch($dgwork_option['header_layout']){
          case '1':
            echo '';
            break;

          case '2':
            echo 'rtl';
   			break;

   		  case '3':
            echo 'centered-logo-header';
   			break;

          default:
            echo '';
	   }
}
endif;

if ( ! function_exists( 'dgwork_bottom_widget' ) ) :
/**
 * Output bottom widget
 */
function dgwork_bottom_widget_item($column_class,$widget_id) {
  if(is_active_sidebar( $widget_id )){
	echo'<div class="bottom-widget dgw-grid '.$column_class.'">';
?>
      <?php dynamic_sidebar( $widget_id );?>
<?php   
    echo '</div>';
  }
}
endif;

if ( ! function_exists( 'dgwork_bottom_widgets' ) ) :
/**
 * The Bottom Widgets section
 */
function dgwork_bottom_widgets(){
	global $dgwork_option;
	$bottom_layout = $dgwork_option['bottom_layout'];

	if ( is_active_sidebar( 'bottom-widget-1' ) || is_active_sidebar( 'bottom-widget-2' ) || is_active_sidebar( 'bottom-widget-3' ) || is_active_sidebar( 'bottom-widget-4' ) ){
        echo '<div id="site-bottom" class="site-bottom">
  				<div class="dgw-grid-1000">';
  	    	
  	    	switch($bottom_layout){
  	    		case '1/2+1/2':
  	    		  // 2 columns
		          dgwork_bottom_widget_item('dgw-col6','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col6 last','bottom-widget-2');
		          break;

		        case '1/3+1/3+1/3':
		          // 3 columns
		          dgwork_bottom_widget_item('dgw-col4','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col4','bottom-widget-2');
		          dgwork_bottom_widget_item('dgw-col4 last','bottom-widget-3');
		          break;

		        case '1/4+1/4+1/2':
		          dgwork_bottom_widget_item('dgw-col3','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col3','bottom-widget-2');
		          dgwork_bottom_widget_item('dgw-col6 last','bottom-widget-3');
		          break;

		        case '1/6+1/6+2/3':
		          dgwork_bottom_widget_item('dgw-col2','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col2','bottom-widget-2');
		          dgwork_bottom_widget_item('dgw-col8 last','bottom-widget-3');
		          break;

		        case '1/2+1/4+1/4':
		          dgwork_bottom_widget_item('dgw-col6','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col3','bottom-widget-2');
		          dgwork_bottom_widget_item('dgw-col3 last','bottom-widget-3');
		          break;

		        case '2/3+1/6+1/6':
		          dgwork_bottom_widget_item('dgw-col8','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col2','bottom-widget-2');
		          dgwork_bottom_widget_item('dgw-col2 last','bottom-widget-3');
		          break;

		        default:
		          // 4 columns
		          dgwork_bottom_widget_item('dgw-col3','bottom-widget-1');
		          dgwork_bottom_widget_item('dgw-col3','bottom-widget-2');
		          dgwork_bottom_widget_item('dgw-col3','bottom-widget-3');
		          dgwork_bottom_widget_item('dgw-col3 last','bottom-widget-4');

  	    	}

  	      echo '</div>
			  </div>';
	}
}
endif;


/**
 * Copyright Text in Footer	
 */
if ( ! function_exists( 'dgwork_copyright' ) ) :
function dgwork_copyright(){
	global $dgwork_option;
	$copyright=$dgwork_option['copyright'];
	if(!empty($copyright) && $copyright<>''){
	    echo $copyright;
	}else{
        echo esc_html__( 'Proudly powered by', 'dgwork' ).'<a href="https://wordpress.org/" target="_blank"> WordPress</a><span class="sep"> | </span>'.esc_html__( 'Designed by','dgwork').' <a href="http://www.themevan.com" target="_blank" title="We Design Premium WordPress Themes">ThemeVan</a>';
	}
}
endif;

if ( ! function_exists( 'dgwork_before_footer' ) ) :
/**
 * The Wrapper After Navigation
 */
function dgwork_before_footer(){
	do_action('dgwork_before_footer');
	echo'<footer id="colophon" class="site-footer">
			<div class="site-info dgw-grid-1000">';
}
endif;

if ( ! function_exists( 'dgwork_after_footer' ) ) :
/**
 * The Wrapper After Navigation
 */
function dgwork_after_footer(){
	echo'</div>
	   </footer>';
	do_action('dgwork_after_footer');
}
endif;

/**
 * Related Posts
 */
if ( ! function_exists( 'dgwork_single_post_thumbail' ) ) :
function dgwork_single_post_thumbail(){
     global $dgwork_option;

     if(has_post_thumbnail()){
     	if(isset($dgwork_option['single_post_thumbnail']) && $dgwork_option['single_post_thumbnail']==1){
		  echo '<div class="single_featured_image" itemprop="image">'.get_the_post_thumbnail().'</div>';
	    }
	 }
}
endif;

/**
 * Related Posts
 */
if ( ! function_exists( 'dgwork_related_posts' ) ) :
function dgwork_related_posts(){
    global $dgwork_option,$post;
    if ( isset($dgwork_option['related_posts']) && $dgwork_option['related_posts'] == '1' ) {
		if ( $dgwork_option['single_related_posts_show_by'] == '1' ) {
			$dgwork_optionwork_taxs = get_the_category( $post->ID ); // Display related posts by category
		} else {
			$dgwork_optionwork_taxs = wp_get_post_tags( $post->ID ); // Display related posts by tag
		}
		
		
		if ( $dgwork_optionwork_taxs ) {
		
			$dgwork_optionwork_tax_ids = array();
		
			foreach($dgwork_optionwork_taxs as $individual_tax) $dgwork_optionwork_tax_ids[] = $individual_tax->term_id;
		
			$posts_to_show = 3;
		
			if ( $dgwork_option['single_related_posts_show_by'] == '1' ) { 
				// Loop argumnetsnts show posts by category
				$args = array(
					'category__in' => $dgwork_optionwork_tax_ids,
					'post__not_in' => array( $post->ID ),
					'posts_per_page' => $posts_to_show,
					'ignore_sticky_posts' => 1
				);
			} else { 
				// Loop argumnetsnts show posts by category
				$args = array(
					'tag__in' => $dgwork_optionwork_tax_ids,
					'post__not_in' => array( $post->ID ),
					'posts_per_page' => $posts_to_show,
					'ignore_sticky_posts' => 1
				);
			}
		
			$dgwork_optionwork_related_posts = new WP_Query( $args );
			 if( $dgwork_optionwork_related_posts->have_posts() ) {
		    ?>
			
		    <section class="related-posts">
		    
		        <h3 class="section-title"><?php esc_html_e( 'You may also like', 'dgwork' ); ?></h3>
		    
		        <div class="grids">
		            <?php 
						while ( $dgwork_optionwork_related_posts->have_posts() ) : $dgwork_optionwork_related_posts->the_post(); ?>
				
						<div class="item post">
							  <div class="thumbnail">
							      <a title="<?php esc_attr(get_the_title());?>" href="<?php echo esc_url(get_permalink());?>">
									<?php 
									if ( has_post_thumbnail() ) {
										the_post_thumbnail( 'medium' );
									}
									?></a>
							  </div>
							  <header class="entry-header">
								  <h6><a href="<?php echo esc_url(get_permalink());?>"><?php the_title(); ?></a></h6>
							  </header>
						</div>
					
						<?php endwhile; ?>
		            
		            	<?php wp_reset_postdata(); ?>
		                <div class="clearfix"></div>
		
		         </div>
		    </section>
		<?php
		   }
		} 
	  }	
}
endif;


/**
 * Author Section
 */
if ( ! function_exists( 'dgwork_post_author' ) ) :
function dgwork_post_author(){
	global $dgwork_option;
	if ( isset($dgwork_option['post_author']) && $dgwork_option['post_author'] == '1' ):
?>
    <!--Author-->
	<section id="author_vcard">
	<h3 class="author-title section-title"><?php esc_html_e('About Author','dgwork');?></h3>
	<a class="avatar" href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) ));?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 80 ); ?></a>
	<p><strong><?php the_author_meta('nickname'); ?></strong>	</p>
	<?php the_author_meta('description'); ?> 
	<?php if(class_exists('ThemeVan_Shortcodes')):?>
	<p><span class="social_icons"><?php do_action('tmvs_author_social_profile');?></span></p>
	<?php endif;?>
	</section>
<?php  
    endif;
}
endif;

/**
 * Bullet links at the right side
 */
if ( ! function_exists( 'dgwork_bullet_links' ) ) :
function dgwork_bullet_links(){
	 global $post;
	 if(is_page()):
		 while ( have_posts() ) : the_post(); 
	     $bullet_links = esc_url(get_post_meta( get_the_ID(), '_dgwork_bullets_link', true ));
	     endwhile; // End of the loop. 

	    $bullet_links_array=explode(',',$bullet_links);
	    
	    if($bullet_links<>''){
		    echo '<div class="bullet_links">';
		    for($i=0;$i<count($bullet_links_array);$i++){
			    echo '<a class="anchor" href="'.$bullet_links_array[$i].'">'.$bullet_links_array[$i].'</a>';
		    }
		    echo '</div>';
	    }
    endif;
}
endif;

/* Max Mega Menu */
function megamenu_add_theme_dgwork_1512360742($themes) {
    $themes["dgwork_1512360742"] = array(
        'title' => 'DGWork',
        'container_background_from' => 'rgba(255, 255, 255, 0)',
        'container_background_to' => 'rgba(255, 255, 255, 0)',
        'menu_item_align' => 'right',
        'menu_item_background_hover_from' => 'rgba(255, 255, 255, 0)',
        'menu_item_background_hover_to' => 'rgba(255, 255, 255, 0)',
        'menu_item_link_font_size' => '13px',
        'menu_item_link_height' => '60px',
        'menu_item_link_color' => 'rgb(0, 0, 0)',
        'menu_item_link_text_transform' => 'uppercase',
        'menu_item_link_color_hover' => 'rgb(34, 34, 34)',
        'menu_item_link_padding_top' => '0',
        'menu_item_link_padding_bottom' => '0',
        'panel_background_from' => 'rgb(255, 255, 255)',
        'panel_background_to' => 'rgb(255, 255, 255)',
        'panel_header_border_color' => '#555',
        'panel_padding_left' => '10px',
        'panel_padding_right' => '10px',
        'panel_padding_top' => '10px',
        'panel_padding_bottom' => '10px',
        'panel_widget_padding_left' => '6px',
        'panel_widget_padding_right' => '6px',
        'panel_widget_padding_top' => '6px',
        'panel_widget_padding_bottom' => '6px',
        'panel_font_size' => '14px',
        'panel_font_color' => '#666',
        'panel_font_family' => 'inherit',
        'panel_second_level_font_color' => 'rgb(115, 115, 115)',
        'panel_second_level_font_color_hover' => 'rgb(52, 183, 174)',
        'panel_second_level_text_transform' => 'capitalize',
        'panel_second_level_font' => 'inherit',
        'panel_second_level_font_size' => '14px',
        'panel_second_level_font_weight' => 'normal',
        'panel_second_level_font_weight_hover' => 'normal',
        'panel_second_level_text_decoration' => 'none',
        'panel_second_level_text_decoration_hover' => 'none',
        'panel_second_level_background_hover_from' => 'rgba(255, 255, 255, 0)',
        'panel_second_level_background_hover_to' => 'rgba(255, 255, 255, 0)',
        'panel_second_level_padding_top' => '5px',
        'panel_second_level_padding_bottom' => '2px',
        'panel_second_level_border_color' => 'rgba(255, 255, 255, 0.2)',
        'panel_third_level_font_color' => '#666',
        'panel_third_level_font_color_hover' => 'rgb(52, 183, 174)',
        'panel_third_level_font' => 'inherit',
        'panel_third_level_font_size' => '14px',
        'panel_third_level_padding_top' => '2px',
        'panel_third_level_padding_bottom' => '2px',
        'flyout_width' => '250px',
        'flyout_menu_background_from' => 'rgb(255, 255, 255)',
        'flyout_menu_background_to' => 'rgb(255, 255, 255)',
        'flyout_border_color' => 'rgba(255, 255, 255, 0)',
        'flyout_menu_item_divider' => 'on',
        'flyout_menu_item_divider_color' => 'rgba(34, 34, 34, 0.1)',
        'flyout_padding_top' => '5px',
        'flyout_padding_right' => '0',
        'flyout_padding_bottom' => '5px',
        'flyout_padding_left' => '0',
        'flyout_link_padding_left' => '15px',
        'flyout_link_padding_right' => '15px',
        'flyout_link_padding_top' => '8px',
        'flyout_link_padding_bottom' => '8px',
        'flyout_link_height' => '25px',
        'flyout_background_from' => 'rgba(255, 255, 255, 0)',
        'flyout_background_to' => 'rgba(255, 255, 255, 0)',
        'flyout_background_hover_from' => 'rgba(255, 255, 255, 0)',
        'flyout_background_hover_to' => 'rgba(255, 255, 255, 0)',
        'flyout_link_size' => '12px',
        'flyout_link_color' => 'rgb(115, 115, 115)',
        'flyout_link_color_hover' => 'rgb(52, 183, 174)',
        'flyout_link_family' => 'inherit',
        'flyout_link_text_transform' => 'uppercase',
        'line_height' => '1.5',
        'toggle_background_from' => '#222',
        'toggle_background_to' => '#222',
        'toggle_font_color' => 'rgb(0, 0, 0)',
        'mobile_background_from' => '#222',
        'mobile_background_to' => '#222',
        'mobile_menu_item_link_font_size' => '14px',
        'mobile_menu_item_link_color' => '#ffffff',
        'mobile_menu_item_link_text_align' => 'left',
        'custom_css' => '/** Push menu onto new line **/ 
#{$wrap} { 
    clear: both; 
}',
    );
    return $themes;
}
add_filter("megamenu_themes", "megamenu_add_theme_dgwork_1512360742");