<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * * @package DGWork
 */

?>

<div <?php post_class();?>>   
	<?php 
	 $price=esc_attr(get_post_meta(get_the_ID(), "edd_price", true));
	 $hide_price=get_post_meta(get_the_ID(), "_dgwork_hide_price", true);
	 $hide_free=get_post_meta(get_the_ID(), "_dgwork_hide_free", true);
	 $preview=esc_attr(get_post_meta(get_the_ID(), "_dgwork_preview_url", true));
	 $short_description=esc_attr(get_post_meta(get_the_ID(), "_dgwork_short_description", true));
	 $button_text=esc_attr__('Buy Now','dgwork');
	 $preview_type=esc_attr(get_post_meta(get_the_ID(), "_dgwork_preview_type", true));
	 
	 if($price==0){
		if($hide_free<>1){
		  echo '<div class="freeLabel">'.esc_attr__('Free!','dgwork').'</div>';
	    }
		$button_text =esc_attr__('Download','dgwork');
	 }
	?>
	<div class="dgwork-grid-item <?php echo esc_attr($preview_type);?>">
	   <div class="image-box">
	       <?php
	        global $dgwork_option;
	        if(isset($dgwork_option['player_preview']) && $dgwork_option['player_preview'] == 1 && $preview_type=='audio' || $preview_type=='video'){
	            dgwork_item_preview();
	        }else{
				the_post_thumbnail();
	        }
	       ?>
	   </div>

    <?php if($preview_type<>'audio' && $preview_type<>'video'):?>
	   <div class="text-desc">
	      <?php if(!isset($hide_price) || $hide_price<>'1'):?>
	        <?php edd_price(get_the_ID());?>
	        <span class="divider"></span>
	      <?php endif;?>

	      <?php if($hide_price=='1'):?>
	      <p>
	      <?php endif;?>
	      <a href="<?php echo esc_url(get_permalink());?>" class="button details"><i class="fa fa-eye"></i><?php esc_attr_e('Details','dgwork');?></a>
	      
          <?php 
          global $dgwork_option;
          if($dgwork_option['hide_buy_now_button']=='0'):
          ?>
		      <?php if(esc_attr(get_post_meta(get_the_ID(), "_dgwork_external_checkout_url", true))<>''):?>
	          	 <a href="<?php echo esc_url(get_post_meta($post->ID, "_dgwork_external_checkout_url", true));?>" class="external-checkout button" target="_blank"><i class="fa fa-download"></i><?php echo esc_attr($button_text);?></a>
	          <?php else:?>
	          	 <a href="<?php echo home_url('/');?>checkout?edd_action=add_to_cart&download_id=<?php the_ID();?>" class="button add_to_cart"><i class="fa fa-shopping-cart"></i><?php echo esc_attr($button_text);?></a>
	          <?php endif;?>
          <?php endif;?>

          <?php if($hide_price=='1'):?>
          	</p>
	      <?php endif;?>
	   </div>
    <?php endif;?>
	</div>
	<h3 class="dgwork-grid-title"><a href="<?php echo esc_url(get_permalink());?>" title="<?php the_title();?>"><?php the_title();?></a></h3>
	<p class="dgwork-grid-subtitle"><?php echo dgwork_truncate($short_description,100);?></p>
</div>
